Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/messages.properties
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/messages.properties	(revision 1054)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/messages.properties	(revision 1055)
@@ -1,7 +1,11 @@
 
 ComputeInternalView_1 = Error: selection is not a Corpus
+editor_composite_navigation=navigation
+editor_error_backto_match=Error while internal view go back to 
 
 InternalViewEditor_16 = Error: 
 InternalViewEditor_25 = QUERY:
 InternalViewEditor_4  = Structure 
 InternalViewEditor_5  = Structural properties 
+
+error_backto_internalview=Error: could not open InternalView editor: {0}
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 1054)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 1055)
@@ -14,12 +14,18 @@
 	private static final String BUNDLE_NAME = "org.txm.internalview.rcp.messages.messages"; //$NON-NLS-1$
 	
 	public static String ComputeInternalView_1;
+
+	public static String editor_composite_navigation;
+
+	public static String editor_error_backto_match;
 	
 	public static String InternalViewEditor_16;
 	public static String InternalViewEditor_25;
 	public static String InternalViewEditor_4;
 	public static String InternalViewEditor_5;
 	
+	public static String error_backto_internalview;
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, InternalViewUIMessages.class);
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1054)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 1055)
@@ -140,7 +140,7 @@
 		structuralUnitPropertiesSelector.addSelectionListener(computeSelectionListener);
 		
 		
-		navigationPanel = getBottomToolbar().installGLComposite("navigation", 4 , false);
+		navigationPanel = getBottomToolbar().installGLComposite(InternalViewUIMessages.editor_composite_navigation, 4 , false);
 		navigationPanel.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 
 		
@@ -322,7 +322,7 @@
 			n = CQPSearchEngine.getCqiClient().cpos2Struc(sup.getQualifiedName(), cpos);
 			return goToPage(n[0]);
 		} catch (Exception e) {
-			System.out.println("Error while internal view go back to " + m);
+			System.out.println(InternalViewUIMessages.editor_error_backto_match + m);
 			Log.printStackTrace(e);
 		} 
 		return false;
@@ -350,8 +350,6 @@
 		navigationPanel.layout();		
 	}
 
-
-	
 	@Override
 	public void updateEditorFromResult(boolean update) {
 		try {
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 1054)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 1055)
@@ -9,6 +9,7 @@
 import org.txm.core.results.TXMResult;
 import org.txm.internalview.core.functions.InternalView;
 import org.txm.internalview.rcp.editors.InternalViewEditor;
+import org.txm.internalview.rcp.messages.InternalViewUIMessages;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
@@ -37,7 +38,7 @@
 			editor.backToText(match);
 			SWTEditorsUtils.addEditor(sourceEditor, editor, EModelService.ABOVE);
 		} catch (Exception e) {
-			System.err.println("Error: could not open InternalView editor: "+ e);
+			System.err.println(InternalViewUIMessages.bind(InternalViewUIMessages.error_backto_internalview, e));
 			Log.printStackTrace(e);
 		}
 	}
